library(survival)
windows(width=9,height=7)
pre='yr1973_2002.seer9/'  # pick the SEER years of interest
pre='yr1992_2002.sj_la_rg_ak/' # comment if you want all years
filecanc=c('breast','digothr','malegen','femgen','other','respir','colrect','lymyleuk','urinary')
rb=c("red","orange","yellow","green","blue","violet") # code 5 year age groups by light spectrum
for (k in c(1:9))
{load(paste("c:/SEER02/",pre,filecanc[k],".RData",sep="")) # this loads in DF
if (k==1) { canc=c('Breast'); code=list(c(1741,1748)) } 
if (k==2) {canc=c('esophogeal','stomach','liver','pancreatic'); code=list(c(1504,1505),c(1510,1519),c(1550,1550),c(1570,1579)) }
if (k==3) {canc=c("Prostate"); code=list(c(185,185))}
if (k==4) {canc=c("Cervical","Uterine","Vaginal"); code=list(c(1809,1809),c(1820,1820),c(1830,1830))}
if (k==5) {canc=c("Thyroid","Brain"); code=list(c(193,193),c(1911,1919))}
if (k==6){canc=c("Laryngeal","Lung");code=list(c(1610,1610),c(1622,1629))}
if (k==7){canc=c("Colorectal"); code=list(c(1530,1539)) }
if (k==8) { canc=c("NHL",   "Hodgkins",   "MML"         ,"ALL","     CLL",       "AML",       "CML")
   code=list(c(2000,2008),c(2015,2016),c(2030,2030),c(2040,2040),c(2041,2041),c(2050,2050),c(2051,2051))}
if (k==9) { canc=c("Bladder","Kidney"); code=list(c(1880,1889),c(1890,1891))}
for (i in 1:length(code))
{
Indx=((DF$ICD9>=code[[i]][1])&(DF$ICD9<=code[[i]][2]))&(DF$surv!=1287)&(DF$numPrim==1) #  99*12+99  =1287  => survival time not known
ageCuts=c(0,6,12,18) 
ageCutsY=c(0,30,60,90)
par(mfcol=c(2,3))
for (j in 1:3)
{
ndat=DF[Indx&(DF$ageRC<=ageCuts[j+1])&(DF$ageRC>ageCuts[j]),]
ndat=transform(ndat,dwd=((COD>=20010)&(COD<=37000)) ) # http://seer.cancer.gov/codrecode/1969+_d09172004/index.html 
# these CODs cover all cancers since numPrim=1 => same cancer is COD, 
if ((k!=1)&(k!=3)&(k!=4))  # plot both sexes 
{#print(cph <- coxph(Surv(surv,dwd)~ageRC+sex,data = ndat))
 #(S=survdiff(Surv(surv,dwd)~ageRC+sex,data = ndat)) 
 plot(survfit(Surv(surv,dwd)~ageRC,data = ndat[ndat$sex==1,]),xlim=c(0,60),xlab="Months",ylab="Survival",
			 col=rb, main = paste(canc[i],"in males ages",ageCutsY[j],"to",ageCutsY[j+1]))
 plot(survfit(Surv(surv,dwd)~ageRC,data = ndat[ndat$sex==2,]),xlim=c(0,60),xlab="Months",ylab="Survival",
 			col=rb, main = paste(canc[i],"in females ages",ageCutsY[j],"to",ageCutsY[j+1]))  }
if ((k==1)|(k==4))  # plot females
{ plot(survfit(Surv(surv,dwd)~ageRC,data = ndat[ndat$sex==2,]),xlim=c(0,ifelse(k==1,120,60)),xlab="Months",ylab="Survival",
 	col=rb, main = paste(canc[i],"in females ages",ageCutsY[j],"to",ageCutsY[j+1]))
 plot.new()}  # empty plot
if (k==3)  # plot males
 {
plot(survfit(Surv(surv,dwd)~ageRC,data = ndat[ndat$sex==1,]),xlim=c(0,120),xlab="Months",ylab="Survival",
				col=rb, main = paste(canc[i],"in males ages",ageCutsY[j],"to",ageCutsY[j+1]))
 plot.new()}  # empty plot
} # j loop on age groups
locator(n=1) # point and click in figure to move ahead to next plot set
} # the i for loop over within file cancer types
} # k loop cancer files
